import { Network } from "./network.entity";
import { Provider } from "@ethersproject/providers";
export type TAggregatorProvider = Provider;
export type TAggregatorProviders = Array<TAggregatorProvider>;
export interface IExtendNetworkProvider extends Partial<Network> {
    providers: TAggregatorProviders;
}
export interface IProviderHealthCheck {
    url: string;
    health: boolean;
}
export interface INetworkProviderHealthCheck {
    [networkSubName: string]: IProviderHealthCheck[];
}
