import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { TokenCentralExchangeMarket } from "./token-central-exchange-market.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class TokenCentralExchangeMarketService extends TypeOrmCrudService<TokenCentralExchangeMarket> {
    readonly repo: Repository<TokenCentralExchangeMarket>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<TokenCentralExchangeMarket>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCentralExchangeMarket>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCentralExchangeMarket[]>;
    createOneBy(params: DeepPartial<TokenCentralExchangeMarket>, manager?: EntityManager): Promise<TokenCentralExchangeMarket>;
    createAllBy(params: DeepPartial<TokenCentralExchangeMarket>[], manager?: EntityManager): Promise<TokenCentralExchangeMarket[]>;
    createAllIfNotExistBy(params: DeepPartial<TokenCentralExchangeMarket>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<TokenCentralExchangeMarket>, set: {
        [K in keyof TokenCentralExchangeMarket]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
